module YlChat
  class ApplicationController < ActionController::Base
    before_action :authorize_ip, if: -> { YlChat.trust_ips.present?}

    rescue_from YlChat::Unauthorized do |_|
      head :unauthorized
    end

    def room_meta
      YlChat.room_meta
    end

    def identity_meta
      YlChat.identity_meta
    end

    def authorize_ip
      ip_authorized = YlChat.trust_ips.include? request.remote_ip
      raise YlChat::Unauthorized unless ip_authorized
    end
  end
end
