module YlChat
  class NotificationsController < YlChat::ApplicationController

    def handle
      ::Notify.perform(notification_params.to_h)
      head :ok
    end

    private

    def notification_params
      params.require(:notification)
            .permit(recipient_uids: [],
                    message: [:type, :sent_at, :room_uid, :id, :client_id,
                              body: [:text, :uid, :type, :title, :description,
                              meta: room_meta,
                              participants: [:uid, meta: identity_meta]],
                              author: [:uid, meta: identity_meta]]
      )
    end
  end
end
