module YlChat
  module Rooms
    class ConnectionController < YlChat::ApplicationController
      def authorize
        authenticate_with_http_token do |token, options|
          ::ConnectUserToRoom.perform(token, connection_params.to_h)
        end
        head :ok
      end

      private

      def connection_params
        params.require(:data)
              .permit(:uid, :type, :title, :description, meta: room_meta,
                      participants: [:uid, meta: identity_meta])
      end
    end
  end
end
