module YlChat
  module Rooms
    class CreationController < YlChat::ApplicationController
      def authorize
        room_data = authenticate_with_http_token do |token, options|
          ::CreateRoom.perform(token, authorization_params.to_h)
        end
        YlChat::RoomValidator.new(room_data).validate!
        render json: { data: room_data }
      end

      private

      def authorization_params
        params.permit(:type, :title, :description, participants: [],
                      meta: room_meta)
      end
    end
  end
end
