module YlChat
  class BasePerformer
    def self.perform(*args)
      performer = new(*args)
      performer.authorize!
      performer.perform
    end

    def perform
      # do nothing
    end

    def authorized?
      true
    end

    def authorize!
      raise YlChat::Unauthorized unless authorized?
    end
  end
end
