require 'net/http'
require 'uri'

module YlChat
  class DisconnectUser
    attr_reader :user_uid
    DISCONNECTION_ENDPOINT = '/main_server/socket/disconnect'
    CONTENT_TYPE = { 'Content-Type' => 'application/json' }

    def initialize(user_uid)
      @user_uid = user_uid
    end

    def self.perform(user_uid)
      new(user_uid).perform
    end

    def perform
      uri = URI(YlChat.yl_chat_url + DISCONNECTION_ENDPOINT)
      Net::HTTP.start(uri.host, uri.port) do |http|
        request = Net::HTTP::Post.new(uri, CONTENT_TYPE)
        request.body = { uid: user_uid }.to_json
        http.request request
      end
    end
  end
end
