module YlChat
  class BaseValidator
    include ActiveModel::Model
    include ActiveModel::Validations

    def initialize(attributes)
      begin
        super
      rescue ActiveModel::UnknownAttributeError => e
        raise InvalidData.new("Unknown attribute #{e.attribute}")
      rescue ArgumentError => e
        raise InvalidData.new('Data should be a Hash')
      end
    end

    def validate!
      raise InvalidData.new(self.errors.full_messages.join(', ')) unless valid?
    end
  end
end
