module YlChat
  class PerformersGenerator < Rails::Generators::Base

    PERFORMERS_PATH = 'app/yl_chat/'
    TEMPLATE_PATH = '../templates/performers/'

    def create_performers
      create_performer 'connect_user_to_room.rb'
      create_performer 'create_room.rb'
      create_performer 'identify_user.rb'
      create_performer 'notify.rb'
    end

    private

    def create_performer(file_name)
      path = PERFORMERS_PATH + file_name
      template = performer_template(file_name)
      create_file path, template
    end

    def performer_template(file_name)
      path = TEMPLATE_PATH + file_name
      File.read(File.expand_path(path, __FILE__))
    end
  end
end
