require "yl_chat/engine"

module YlChat
  class Unauthorized < StandardError; end
  class InvalidData < StandardError; end

  @identity_meta = []
  @room_meta = []
  @trust_ips = []
  @yl_chat_url = ''

  class << self
    attr_accessor :identity_meta
    attr_accessor :room_meta
    attr_accessor :trust_ips
    attr_accessor :yl_chat_url

    def setup
      yield self
    end

    def routes(application)
      application.mount YlChat::Engine => "/notifications"
    end
  end
end
